       OPEN "\WINDOWS\TEMKEY.ARG" FOR RANDOM ACCESS READ WRITE SHARED AS #19 LEN=10
       FIELD#19,2AS D19$,8AS F19$
       GET#19,1
       LSET D19$=MKI$(3)
          FE$=MID$(DATE$,7,4)+MID$(DATE$,1,2)+MID$(DATE$,4,2)
          MES=VAL(MID$(DATE$,1,2))
          ANO=VAL(MID$(DATE$,7,4))
          IF MES=12 THEN
             MES=01
             ANO=ANO+1
          ELSE
             MES=MES+1
          ENDIF
          MES$=MID$(STR$(MES),2)
          MES$=STRING$(2-LEN(MES$),"0")+MES$                  
          ANO$=MID$(STR$(ANO),2)
          ANO$=STRING$(4-LEN(ANO$),"0")+ANO$                  
          MID$(FE$,1,4)=ANO$
          MID$(FE$,5,2)=MES$
          MID$(FE$,7,2)=MID$(DATE$,4,2)
       LSET F19$=FE$
       PUT#19,1
       CLOSE#19
       END
